Bug 25887 - Filtering funds by library resets to empty in library pull down
Summary: Filtering funds by library resets to empty in library pull down
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-28 22:50 UTC by Katrin Fischer
Modified: 2020-09-20 11:09 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.03, 19.11.09


Attachments
Bug 25887: Keep library filter on the fund list view (1.64 KB, patch)
2020-07-30 09:00 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 25887: Keep library filter on the fund list view (1.69 KB, patch)
2020-07-30 14:44 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 25887: Keep library filter on the fund list view (1.75 KB, patch)
2020-07-30 20:32 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-06-28 22:50:09 UTC
When filtering funds by library, the pull down for libraries resets to "empty" when the page is reloaded, although the filter criteria is visible in the URL.
Comment 1 Jonathan Druart 2020-07-30 09:00:39 UTC
Created attachment 107564 [details] [review]
Bug 25887: Keep library filter on the fund list view

The problem:
When filtering funds by library, the pull down for libraries resets to "empty" when the page is reloaded,
although the filter criteria is visible in the URL.

Test plan:
Create a fund for library A
Create a fund for library B
Go to the fund list view
=> All funds are listed
Select library A in the library filter, click "Go"
=> Funds for library A are listed
=> Library filter has "library A" selected
Edit fund for library B
=> The edit form has "library B" selected
Comment 2 ByWater Sandboxes 2020-07-30 14:44:53 UTC
Created attachment 107594 [details] [review]
Bug 25887: Keep library filter on the fund list view

The problem:
When filtering funds by library, the pull down for libraries resets to "empty" when the page is reloaded,
although the filter criteria is visible in the URL.

Test plan:
Create a fund for library A
Create a fund for library B
Go to the fund list view
=> All funds are listed
Select library A in the library filter, click "Go"
=> Funds for library A are listed
=> Library filter has "library A" selected
Edit fund for library B
=> The edit form has "library B" selected

Signed-off-by: Holly Cooper <hc@interleaf.ie>
Comment 3 Katrin Fischer 2020-07-30 20:32:59 UTC
Created attachment 107606 [details] [review]
Bug 25887: Keep library filter on the fund list view

The problem:
When filtering funds by library, the pull down for libraries resets to "empty" when the page is reloaded,
although the filter criteria is visible in the URL.

Test plan:
Create a fund for library A
Create a fund for library B
Go to the fund list view
=> All funds are listed
Select library A in the library filter, click "Go"
=> Funds for library A are listed
=> Library filter has "library A" selected
Edit fund for library B
=> The edit form has "library B" selected

Signed-off-by: Holly Cooper <hc@interleaf.ie>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2020-07-30 20:33:44 UTC
Thx for fixing this one!
Comment 5 Katrin Fischer 2020-07-30 20:34:00 UTC
Also thanks Holly for the quick sign-off!
Comment 6 Jonathan Druart 2020-07-31 08:56:44 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 7 Lucas Gass 2020-08-13 16:42:37 UTC
backported to 20.05.x for 20.05.03
Comment 8 Aleisha Amohia 2020-08-16 20:47:04 UTC
backported to 19.11.x for 19.11.09
Comment 9 Victor Grousset/tuxayo 2020-09-20 11:09:00 UTC
Not backported to oldoldstable (19.05.x). Feel free to ask if it's needed.